"""remove image table

Revision ID: 8b8841eb45e4
Revises: f434e418cbff
Create Date: 2022-02-24 13:21:23.672876

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '8b8841eb45e4'
down_revision = 'f434e418cbff'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_images_filename', table_name='images')
    op.drop_index('ix_images_type', table_name='images')
    op.drop_table('images')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('images',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('filename', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('image_url', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('parent_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('type', sa.VARCHAR(length=30), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], name='images_user_id_fkey', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name='images_pkey')
    )
    op.create_index('ix_images_type', 'images', ['type'], unique=False)
    op.create_index('ix_images_filename', 'images', ['filename'], unique=False)
    # ### end Alembic commands ###
